> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate Media Segment

## Description

Regenerates a specific media segment for a transcript. The audio is regenerated and the transcript is updated with the new content and timing.


## OpenAPI

````yaml patch /v1/transcript/{media_id}/regenerate_media_segment
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/transcript/{media_id}/regenerate_media_segment:
    patch:
      tags:
        - transcript
      summary: Regenerate Media Segment
      operationId: >-
        regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch
      parameters:
        - name: media_id
          in: path
          required: true
          schema:
            type: string
            title: Media Id
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch:
      properties:
        segment_id:
          type: string
          title: Segment Id
        locale:
          type: string
          title: Locale
      type: object
      required:
        - segment_id
        - locale
      title: >-
        Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````